HttpFileSystemConfBuilderPatched (transfer-library 1.0.0-4.1.0-126203 API)
Date: 2016-10-27

org.gcube.data.transfer.common

## Class HttpFileSystemConfBuilderPatched

- java.lang.Object
- - org.apache.commons.vfs2.FileSystemConfigBuilder
  - - org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder
    - - org.gcube.data.transfer.common.HttpFileSystemConfBuilderPatched

-     public final class HttpFileSystemConfBuilderPatched
      extends org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder

  Patched version declaring timeout
  Author:
    Andrea

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder

      `KEY_FOLLOW_REDIRECT, KEY_USER_AGENT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HttpFileSystemConfBuilderPatched()`
    `protected` | `HttpFileSystemConfBuilderPatched(String prefix)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpFileSystemConfBuilderPatched` | `getInstance()`
    `int` | `getTimeout(org.apache.commons.vfs2.FileSystemOptions opts)`
    `void` | `setTimeout(org.apache.commons.vfs2.FileSystemOptions opts, int timeout)`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder

      `getConfigClass, getConnectionTimeout, getCookies, getFollowRedirect, getMaxConnectionsPerHost, getMaxTotalConnections, getProxyAuthenticator, getProxyHost, getProxyPort, getSoTimeout, getUrlCharset, getUserAgent, isPreemptiveAuth, setConnectionTimeout, setCookies, setFollowRedirect, setMaxConnectionsPerHost, setMaxTotalConnections, setPreemptiveAuth, setProxyAuthenticator, setProxyHost, setProxyPort, setSoTimeout, setUrlCharset, setUserAgent`

    - ### Methods inherited from class org.apache.commons.vfs2.FileSystemConfigBuilder

      `getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getCharacter, getCharacter, getCharacter, getDouble, getDouble, getDouble, getEnum, getEnum, getFloat, getFloat, getFloat, getInteger, getInteger, getInteger, getLong, getLong, getLong, getParam, getRootURI, getShort, getShort, getShort, getString, getString, hasObject, hasParam, setParam, setParam, setRootURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpFileSystemConfBuilderPatched

          protected HttpFileSystemConfBuilderPatched(String prefix)

    - #### HttpFileSystemConfBuilderPatched

          protected HttpFileSystemConfBuilderPatched()

  - ### Method Detail

    - #### getInstance

          public static HttpFileSystemConfBuilderPatched getInstance()

    - #### setTimeout

          public void setTimeout(org.apache.commons.vfs2.FileSystemOptions opts,
                                 int timeout)

    - #### getTimeout

          public int getTimeout(org.apache.commons.vfs2.FileSystemOptions opts)

Copyright © 2016. All Rights Reserved.